gnome-mag: timing Struct Reference

# timing Struct Reference

`#include <magnifier.h>`

## Data Fields
GTimer * | process
GTimer * | frame
GTimer * | scale
GTimer * | idle
gdouble | scale_val
gdouble | idle_val
gdouble | frame_val
int | dx
int | dy
gdouble | scale_total
gdouble | idle_total
gdouble | frame_total
int | dx_total
int | dy_total
long | update_pixels_total
long | num_scale_samples
long | num_idle_samples
long | num_frame_samples
long | num_line_samples
gdouble | last_frame_val
int | last_dy

## Detailed Description

Definition at line 131 of file magnifier.h.

## Field Documentation

GTimer* timing::process

Definition at line 132 of file magnifier.h.

Referenced by magnifier_init(), reset_timing_stats(), zoom_region_align(), and zoom_region_pan_test().

GTimer* timing::frame

Definition at line 133 of file magnifier.h.

Referenced by magnifier_init(), zoom_region_align(), and zoom_region_time_frame().

GTimer* timing::scale

Definition at line 134 of file magnifier.h.

Referenced by magnifier_init(), zoom_region_update(), and zoom_region_update_pixmap().

GTimer* timing::idle

Definition at line 135 of file magnifier.h.

Referenced by gdk_timing_idle(), magnifier_init(), and zoom_region_align().

gdouble timing::scale_val

Definition at line 136 of file magnifier.h.

Referenced by zoom_region_update().

gdouble timing::idle_val

Definition at line 137 of file magnifier.h.

Referenced by gdk_timing_idle().

gdouble timing::frame_val

Definition at line 138 of file magnifier.h.

Referenced by zoom_region_time_frame().

int timing::dx

Definition at line 139 of file magnifier.h.

Referenced by zoom_region_moveto(), and zoom_region_scroll().

int timing::dy

Definition at line 140 of file magnifier.h.

Referenced by zoom_region_moveto(), zoom_region_scroll(), and zoom_region_time_frame().

gdouble timing::scale_total

Definition at line 141 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), and zoom_region_update().

gdouble timing::idle_total

Definition at line 142 of file magnifier.h.

Referenced by gdk_timing_idle(), reset_timing_stats(), and timing_report().

gdouble timing::frame_total

Definition at line 143 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), zoom_region_pan_test(), and zoom_region_time_frame().

int timing::dx_total

Definition at line 144 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), zoom_region_scroll(), and zoom_region_time_frame().

int timing::dy_total

Definition at line 145 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), zoom_region_scroll(), and zoom_region_time_frame().

long timing::update_pixels_total

Definition at line 146 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), and zoom_region_update().

long timing::num_scale_samples

Definition at line 147 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), and zoom_region_update().

long timing::num_idle_samples

Definition at line 148 of file magnifier.h.

Referenced by gdk_timing_idle(), reset_timing_stats(), and timing_report().

long timing::num_frame_samples

Definition at line 149 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), zoom_region_align(), and zoom_region_time_frame().

long timing::num_line_samples

Definition at line 150 of file magnifier.h.

Referenced by reset_timing_stats(), timing_report(), zoom_region_scroll(), and zoom_region_time_frame().

gdouble timing::last_frame_val

Definition at line 151 of file magnifier.h.

Referenced by reset_timing_stats(), and zoom_region_time_frame().

int timing::last_dy

Definition at line 152 of file magnifier.h.

Referenced by reset_timing_stats(), and zoom_region_time_frame().

The documentation for this struct was generated from the following file:

- magnifier.h